#include "tinygraphics.h"
#include <math.h>

#define PI 3.141592

double length(double x,double y);
double angle(double x,double y);

int main(void){
	int x,y;
	int x0,y0;
	int len;
	int a;
	int t;

	unsigned char r,g,b;

	for(x=-128;x<128;x++){
		for(y=-128;y<128;y++){
			len = (int)length(x,y);
			a = (int)(180*angle(x,y)/PI);
			t = len+40*a/360;
			if((t/20) % 2){
				r = 255;		
				g = 0;
				b = 128;
			}else{
				r = 255;
				g = 255;
				b = 255;
			}
			x0 = x+128;
			y0 = -y+127;
			pset(x0,y0,r,g,b);
		}
	}

	return 0;
}

/* _̒vZ֐ */
double length(double x,double y){
	return sqrt(x*x+y*y);
}

/* pxvZ֐ */
double angle(double x,double y){
	return (-atan2(y,x));
}